Description: don't use dynamic exceptions
 Just remove those.
Author: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Bug-Debian: https://bugs.debian.org/984098
Last-Update: 2021-10-12

---

--- a/cutl/shared-ptr/base.cxx
+++ b/cutl/shared-ptr/base.cxx
@@ -25,7 +25,7 @@ namespace cutl
 //
 //
 void*
-operator new (size_t n, cutl::share s) throw (std::bad_alloc)
+operator new (size_t n, cutl::share s)
 {
   if (s == shared)
   {
--- a/cutl/shared-ptr/base.hxx
+++ b/cutl/shared-ptr/base.hxx
@@ -31,7 +31,7 @@ extern LIBCUTL_EXPORT cutl::share shared
 extern LIBCUTL_EXPORT cutl::share exclusive;
 
 LIBCUTL_EXPORT void*
-operator new (std::size_t, cutl::share) throw (std::bad_alloc);
+operator new (std::size_t, cutl::share);
 
 LIBCUTL_EXPORT void
 operator delete (void*, cutl::share) throw ();
@@ -61,7 +61,7 @@ namespace cutl
     _ref_count () const;
 
     void*
-    operator new (std::size_t, share) throw (std::bad_alloc);
+    operator new (std::size_t, share);
 
     void
     operator delete (void*, share) throw ();
--- a/cutl/shared-ptr/base.ixx
+++ b/cutl/shared-ptr/base.ixx
@@ -59,7 +59,7 @@ namespace cutl
   }
 
   inline void* shared_base::
-  operator new (std::size_t n, share) throw (std::bad_alloc)
+  operator new (std::size_t n, share)
   {
     return ::operator new (n);
   }
